ロール移行

このページは機械翻訳により提供されています。翻訳内容と英語版に相違がある場合は、英語版が優先されます。

次のエンドポイントを使用して、Embeddedカスタマーワークスペース内のレガシーロールをEnvironmentロールとプロジェクトロールに変換します。 または、アプリ内移行ウィザードを使用できます。

レート制限

ロール移行リソースには、次のレート制限があります:

タイプリソース制限
すべてのすべてのロール移行エンドポイント1分あたり60リクエスト

クイックリファレンス

タイプリソース説明
POST/api/managed_users/:managed_user_id/
roles_migration/system_roles
顧客ワークスペースからシステムロールを移行します。
POST/api/managed_users/:managed_user_id/
roles_migration/custom_role
顧客ワークスペースからカスタムロールを移行します。

カスタマーワークスペースのシステムロールを移行

Embeddedカスタマーワークスペース内のレガシーシステムロールをEnvironmentロールとプロジェクトロールに変換します。 または、アプリ内移行ウィザードを使用してシステムロールを移行できます。

shell
POST /api/managed_users/:managed_user_id/roles_migration/system_roles

パスパラメーター

名前タイプ説明
managed_user_idstring
必須
Embedded顧客IDまたは外部ID。
外部IDはURLエンコードし、Eのプレフィックスを付ける必要があります。例: EA2300

リクエスト本文

名前タイプ説明
dry_runboolean
optional
trueに設定すると、ロールを移行せずにJSONレスポンスを返します。 デフォルト値はfalseです。

サンプルリクエスト

shell
curl -X POST 'https://www.workato.com/api/managed_users/19029/roles_migration/system_roles' \
  -H 'Authorization: Bearer <api_token>'

レスポンス

json
{
  "data": {
    "environment_roles": [
      {
        "name": "EnvironmentAdmin",
        "config": { /* Environment admin permissions */ }
      },
      {
        "name": "EnvironmentManager",
        "config": { /* Environment manager permissions */ }
      },
      {
        "name": "Member",
        "config": { /* Member permissions */ }
      }
    ],
    "project_roles": [
      {
        "name": "ProjectAdmin",
        "config": { /* Project admin permissions */ }
      },
      {
        "name": "AdvancedBuilder",
        "config": { /* Advanced builder permissions */ }
      },
      {
       "name": "ProjectOperator",
        "config": { /* Project operator permissions */ }
      }
    ],
    "collaborators": [
      {
        "user_id": 1,
        "email": "[email protected]",
        "name": "Kim",
        "roles": [
          { "environment": "dev", "name": "EnvironmentAdmin" },
          { "environment": "prod", "name": "EnvironmentManager" },
          { "environment": "test", "name": "Member" }
        ]
      }
    ],
    "projects": [
      {
        "id": 101,
        "name": "Dev Project",
        "environment": "dev",
        "collaborators": [
          {
            "user_id": 1,
            "email": "[email protected]",
            "name": "Izumi",
            "project_role": "ProjectAdmin"
          }
        ]
      }
    ],
    "moderators": [
      {
        "user_id": 201,
        "email": "[email protected]",
        "name": "Sasha",
        "environment_role": "EnvironmentAdmin",
        "project_role": "ProjectAdmin"
      }
    ]
  }
}
Configオブジェクト

Configオブジェクトには、ロールに設定された権限が含まれます。 たとえば、Environment管理者ロールのConfigオブジェクトは次のとおりです:

json
"config": {
          "personalization": {"privileges": "all"},
          "topic": {"privileges": "all"},
          "lookup_table": {"privileges": "all"},
          "people_task": {"privileges": "all"},
          "manage_projects": {"privileges": "all"},
          "custom_adapter_sdk": {"privileges": "all"},
          "custom_adapter_use_in_recipes": {"privileges": "all"},
          "opa": {"privileges": "all"},
          "connection_opa_files": {"privileges": "all"},
          "connection_opa_cmd_scripts": {"privileges": "all"},
          "api_key": {"privileges": "all"},
          "service_console": {"privileges": "all"},
          "api_platform_dashboard": {"privileges": "all"},
          "api_platform_endpoints": {"privileges": "all"},
          "api_platform_clients": {"privileges": "all"},
          "api_platform_policies": {"privileges": "all"},
          "api_platform_settings": {"privileges": "all"},
          "apim_proxy_transformation": {"privileges": "all"},
          "workato_schema": {"privileges": "all"},
          "custom_oauth_key": {"privileges": "all"},
          "workato_template": {"privileges": "all"},
          "workbot": {"privileges": "all"},
          "enterprise_workbot": {"privileges": "all"},
          "group_recommendations": {"privileges": "all"},
          "job_history_search": {"privileges": "all"},
          "action_timeout": {"privileges": "all"},
          "data_masking": {"privileges": "all"},
          "identity_service_settings": {"privileges": ["read", "update"]},
          "identity_service_users_and_groups": {"privileges": ["read", "create", "update", "delete"]},
          "lcap_portal_settings": {"privileges": ["read", "update"]},
          "lcap_portal_user_groups": {"privileges": ["read", "create", "update", "delete"]},
          "lcap_public_pages": {"privileges": "all"},
          "lcap_app_functions": {"privileges": ["read", "create", "update", "delete"]},
          "lcap_page_actions": {"privileges": "all"},
          "lcap_custom_domains": {"privileges": "all"},
          "lcap_insights": {"privileges": "all"},
          "file_storage": {"privileges": "all"},
          "account_property": {"privileges": "all"},
          "data_mapper": {"privileges": "all"},
          "audit_log_replication": {"privileges": "all"},
          "apim_log_replication": {"privileges": "all"},
          "activity_logs": {"privileges": "all"},
          "saml": {"privileges": "all"},
          "team": {"privileges": "all"},
          "package": {"privileges": "all"},
          "custom_roles": {"privileges": "all"},
          "api_clients": {"privileges": "all"},
          "oem_vendor": {"privileges": "all"},
          "workspace_settings": {"privileges": "all",
          "enable_for": "non_oem"},
          "environment_settings": {"privileges": "all",
          "enable_for": "non_oem"},
          "oem_admin_settings": {"privileges": "all",
          "enable_for": "org_admin_with_settings"},
          "oem_customer_settings": {"privileges": "all", "enable_for": "org_customer_with_settings"},
          "logging_service": {"privileges": "all"},
          "general_provisioning": {"privileges": "all"},
          "account_deletion": {"privileges": "all"},
          "disable_two_fa": {"privileges": "all"},
          "configurable_data_retention": {"privileges": "all"},
          "extended_60_days_data_retention": {"privileges": "all"},
          "extended_data_retention": {"privileges": "all"},
          "cmk_management": {"privileges": "all"},
          "external_secret_sources": {"privileges": "all"},
          "federation_management": {"privileges": "all", "enable_for": "federation"},
          "scim": {"privileges": "all"},
          "oem_ac_customers": {"privileges": "all", "enable_for": "oem_admin"},
          "oem_ac_automations": {"privileges": "all", "enable_for": "oem_admin"},
          "oem_ac_analytics": {"privileges": "all", "enable_for": "oem_admin"},
          "usage_insights": {"privileges": ["read", "create", "update", "delete"]},
          "usage_dashboard": {"privileges": ["read"]},
          "cbp_usage_dashboard": {"privileges": ["read"]}
          }

カスタマーワークスペースのカスタムロールを移行

Embeddedカスタマーワークスペース内のレガシーカスタムロールをEnvironmentロールとプロジェクトロールに変換します。 または、アプリ内移行ウィザードを使用して、カスタムロールを移行できます。

shell
POST /api/managed_users/:managed_user_id/roles_migration/custom_role

パスパラメーター

名前タイプ説明
managed_user_idstring
必須
Embedded顧客IDまたは外部ID。
外部IDはURLエンコードし、Eのプレフィックスを付ける必要があります。例: EA2300

リクエスト本文

名前タイプ説明
privilege_group_idinteger
required
変換するロールのID。
environment_roleobject
required
作成するEnvironmentロールを定義します。
environment_role[name]string
必須
新しいEnvironmentロールの名前。
environment_role[additional_permissions]object
optional
新しいEnvironmentロールの追加権限を指定します。
project_roleobject
required
作成するプロジェクトロールを定義します。
project_role[name]string
必須
新しいプロジェクトロールの名前。
project_role[additional_permissions]object
optional
新しいプロジェクトロールの追加権限を指定します。
dry_runboolean
optional
trueに設定すると、ロールを移行せずにJSONレスポンスを返します。 デフォルト値はfalseです。

サンプルリクエスト

shell
curl -X POST 'https://www.workato.com/api/managed_users/19029/roles_migration/custom_role' \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer <api_token>" \
  -d '{
        "privilege_group_id": 1,
        "environment_role": {
          "name": "New Environment Role",
          "additional_permissions": {
            "manage_projects": {
              "privileges": ["create", "access_control"]
            }
          }
        },
        "project_role": {
          "name": "New Project Role",
          "additional_permissions": {
            "project_administration": {
              "privileges": ["access_control"]
            }
          }
        }
      }'

レスポンス

json
{
  "data": {
    "environment_roles": [
      {
        "name": "New Environment Role",
        "config": {
          "lookup_table": {
            "privileges": ["read"]
          },
          "manage_projects": {
            "privileges": ["create", "access_control"]
          }
        }
      }
    ],
    "project_roles": [
      {
        "name": "New Project Role",
        "config": {
          "recipe": {
            "privileges": ["read"]
          },
          "project_administration": {
            "privileges": ["access_control"]
          }
        }
      }
    ],
    "collaborators": [
      {
        "user_id": 1,
        "email": "[email protected]",
        "name": "Yuri",
        "roles": [
          { "environment": "dev", "name": "New Environment role" },
          { "environment": "prod", "name": "New Environment role" },
          { "environment": "test", "name": "New Environment role" }
        ]
      }
    ],
    "projects": [
      {
        "id": 1,
        "name": "Dev Project",
        "environment": "dev",
        "collaborators": [
          {
            "user_id": 1,
            "email": "[email protected]",
            "name": "Hao",
            "project_role": "New project role"
          }
        ]
      }
    ],
    "moderators": [
      {
        "user_id": 1,
        "email": "[email protected]",
        "name": "Lucian",
        "environment_role": "New Environment role",
        "project_role": "New project role"
      }
    ]
  }
}

Last updated: